Rdindex {tools} | R Documentation

## Generate Index from Rd Files

### Description

Print a 2-column index table with “names” and titles from given R documentation files to a given output file or connection. The titles are nicely formatted between two column positions (typically 25 and 72, respectively).

### Usage

    Rdindex(RdFiles, outFile = "", type = NULL,
            width = 0.9 * getOption("width"), indent = NULL)

### Arguments

`RdFiles` | a character vector specifying the Rd files to be used for creating the index, either by giving the paths to the files, or the path to a single directory with the sources of a package.
`outFile` | a connection, or a character string naming the output file to print to. `""` (the default) indicates output is to the console.
`type` | a character string giving the documentation type of the Rd files to be included in the index, or `NULL` (the default). The type of an Rd file is typically specified via the `\docType` tag; if `type` is `"data"`, Rd files whose only keyword is `datasets` are included as well.
`width` | a positive integer giving the target column for wrapping lines in the output.
`indent` | a positive integer specifying the indentation of the second column. Must not be greater than `width/2`, and defaults to `width/3`.

### Details

If a name is not a valid alias, the first alias (or the empty string if there is none) is used instead.

[Package Contents]